function terminate = DiffEqMonitor(T,Q,flag,M,I,L,R)
%This function is called after each integration step by ode45
%It is passed a series of states (Q) at the times T
%We will graph the state (if applicable)
% and call the control algorimth for each of these states


terminate=0;
global doplot;  %if we are graphing

if(length(flag)>0)
    %could be the initialize or finalize call, just ignore
    return
end

for i=1:length(T) %loop through each step produced during this phase
    q=Q(:,i);
    t=T(i);
    if(doplot)
        if(mod(t,.01)==0)
           graphStep(t,q,M,I,L,R) %graph this point in time
        end
    end
    terminate=controlAlgorithm(t,q); %check the control algorithm

    if(terminate)
        global terminated_Q;%store points to resume integration from
        global terminated_t;
        terminated_Q=q;
        terminated_t=t;
        return;%and halt this loop
    end
end