function [Q M I L R]=flipEnds(Q, M, I, L, R);
%flips the base x/y points

x=Q(1);
y=Q(2);
t1=Q(3);
t2=Q(4);
dx=Q(5);
dy=Q(6);
dt1=Q(7);
dt2=Q(8);

Q=[ x+L(1)*sin(t1)+L(2)*sin(t1+t2);
    y-L(1)*cos(t1)-L(2)*cos(t1+t2);
    pi+t1+t2;
    -t2;
    dx+L(1)*cos(t1)*dt1+L(2)*cos(t1+t2)*(dt1+dt2);
    dy+L(1)*sin(t1)*dt1+L(2)*sin(t1+t2)*(dt1+dt2);
    (dt1+dt2);
    -dt2];  %transform the Q vector

%adjust R's to be relative to the other end
R(1)=L(1)-R(1);
R(2)=L(2)-R(2);

%flip all arrays for masses, etc.
M=fliplr(M);
I=fliplr(I);
L=fliplr(L);
R=fliplr(R);
